< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package mongo
  Definition Classes
    hmrc
-  package test
  Definition Classes
    mongo
- CleanMongoCollectionSupport
- DefaultMongoCollectionSupport
- IndexedMongoQueriesSupport
- MongoCollectionSupport
- MongoSupport

t

uk.gov.hmrc.mongo.test

# CleanMongoCollectionSupport 

###

#### trait CleanMongoCollectionSupport extends MongoCollectionSupport with BeforeAndAfterEach

Self Type
  CleanMongoCollectionSupport with TestSuite

Linear Supertypes
BeforeAndAfterEach, SuiteMixin, MongoCollectionSupport, MongoSupport, ScalaFutures, Futures, PatienceConfiguration, AbstractPatienceConfiguration, ScaledTimeSpans, AnyRef, Any
Known Subclasses
DefaultMongoCollectionSupport
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CleanMongoCollectionSupport
2. BeforeAndAfterEach
3. SuiteMixin
4. MongoCollectionSupport
5. MongoSupport
6. ScalaFutures
7. Futures
8. PatienceConfiguration
9. AbstractPatienceConfiguration
10. ScaledTimeSpans
11. AnyRef
12. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  trait FutureConcept[T] extends AnyRef
   Definition Classes
     Futures
2.  final case class PatienceConfig extends Product with Serializable
   Definition Classes
     AbstractPatienceConfiguration

### Abstract Value Members

1.  abstract def collectionName: String
   Attributes
     protected
   Definition Classes
     MongoCollectionSupport
2.  abstract def expectedTestCount(filter: Filter): Int
   Definition Classes
     SuiteMixin
3.  abstract def indexes: Seq[IndexModel]
   Attributes
     protected
   Definition Classes
     MongoCollectionSupport
4.  abstract def nestedSuites: IndexedSeq[Suite]
   Definition Classes
     SuiteMixin
5.  abstract def rerunner: Option[String]
   Definition Classes
     SuiteMixin
6.  abstract def run(testName: Option[String], args: Args): Status
   Definition Classes
     SuiteMixin
7.  abstract def runNestedSuites(args: Args): Status
   Attributes
     protected
   Definition Classes
     SuiteMixin
8.  abstract def runTests(testName: Option[String], args: Args): Status
   Attributes
     protected
   Definition Classes
     SuiteMixin
9.  abstract def suiteId: String
   Definition Classes
     SuiteMixin
10.  abstract def suiteName: String
    Definition Classes
      SuiteMixin
11.  abstract def tags: Map[String, Set[String]]
    Definition Classes
      SuiteMixin
12.  abstract def testDataFor(testName: String, theConfigMap: ConfigMap): TestData
    Definition Classes
      SuiteMixin
13.  abstract def testNames: Set[String]
    Definition Classes
      SuiteMixin
14.  abstract val styleName: String
    Definition Classes
      SuiteMixin
    Annotations
      @deprecated
    Deprecated

      (Since version 3.1.0) The styleName lifecycle method has been deprecated and will be removed in a future version of ScalaTest with no replacement.

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def afterEach(): Unit
   Attributes
     protected
   Definition Classes
     BeforeAndAfterEach
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def beforeEach(): Unit
   Attributes
     protected
   Definition Classes
     CleanMongoCollectionSupport → BeforeAndAfterEach
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
8.  implicit def convertScalaFuture[T](scalaFuture: Future[T]): (CleanMongoCollectionSupport.this)#FutureConcept[T]
   Definition Classes
     ScalaFutures
9.  def count(): Future[Long]
   Attributes
     protected
   Definition Classes
     MongoCollectionSupport
10.  def createCollection(): Unit
    Attributes
      protected
    Definition Classes
      MongoCollectionSupport
11.  def createIndexes(): Seq[String]
    Attributes
      protected
    Definition Classes
      MongoCollectionSupport
12.  val databaseName: String
    Attributes
      protected
    Definition Classes
      MongoSupport
13.  def dropCollection(): Unit
    Attributes
      protected
    Definition Classes
      MongoCollectionSupport
14.  def dropDatabase(): Unit
    Attributes
      protected
    Definition Classes
      MongoSupport
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
17.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
18.  def find(filter: Bson): Future[Seq[Document]]
    Attributes
      protected
    Definition Classes
      MongoCollectionSupport
19.  def findAll(): Future[Seq[Document]]
    Attributes
      protected
    Definition Classes
      MongoCollectionSupport
20.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
22.  def insert[T](document: Document): Future[Completed]
    Attributes
      protected
    Definition Classes
      MongoCollectionSupport
23.  def interval(value: Span): Interval
    Definition Classes
      PatienceConfiguration
24.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
25.  lazy val mongoClient: MongoClient
    Attributes
      protected
    Definition Classes
      MongoSupport
26.  lazy val mongoCollection: MongoCollection[Document]
    Attributes
      protected
    Definition Classes
      MongoCollectionSupport
27.  lazy val mongoComponent: MongoComponent
    Attributes
      protected
    Definition Classes
      MongoSupport
28.  lazy val mongoDatabase: MongoDatabase
    Attributes
      protected
    Definition Classes
      MongoSupport
29.  val mongoUri: String
    Attributes
      protected
    Definition Classes
      MongoSupport
30.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
31.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
32.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
33.  implicit def patienceConfig: (CleanMongoCollectionSupport.this)#PatienceConfig
    Definition Classes
      PatienceConfiguration → AbstractPatienceConfiguration
34.  def prepareDatabase(): Unit
    Attributes
      protected
    Definition Classes
      MongoCollectionSupport → MongoSupport
35.  def runTest(testName: String, args: Args): Status
    Attributes
      protected
    Definition Classes
      BeforeAndAfterEach → SuiteMixin
36.  final def scaled(span: Span): Span
    Definition Classes
      ScaledTimeSpans
37.  def spanScaleFactor: Double
    Definition Classes
      ScaledTimeSpans
38.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
39.  lazy val throttleConfig: ThrottleConfig
    Attributes
      protected
    Definition Classes
      MongoSupport
40.  def timeout(value: Span): Timeout
    Definition Classes
      PatienceConfiguration
41.  def toString(): String
    Definition Classes
      AnyRef → Any
42.  def updateIndexPreference(onlyAllowIndexedQuery: Boolean): Future[Boolean]
    Attributes
      protected
    Definition Classes
      MongoSupport
43.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
44.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
45.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
46.  final def whenReady[T, U](future: (CleanMongoCollectionSupport.this)#FutureConcept[T])(fun: (T) ⇒ U)(implicit config: (CleanMongoCollectionSupport.this)#PatienceConfig, pos: Position): U
    Definition Classes
      Futures
47.  final def whenReady[T, U](future: (CleanMongoCollectionSupport.this)#FutureConcept[T], interval: Interval)(fun: (T) ⇒ U)(implicit config: (CleanMongoCollectionSupport.this)#PatienceConfig, pos: Position): U
    Definition Classes
      Futures
48.  final def whenReady[T, U](future: (CleanMongoCollectionSupport.this)#FutureConcept[T], timeout: Timeout)(fun: (T) ⇒ U)(implicit config: (CleanMongoCollectionSupport.this)#PatienceConfig, pos: Position): U
    Definition Classes
      Futures
49.  final def whenReady[T, U](future: (CleanMongoCollectionSupport.this)#FutureConcept[T], timeout: Timeout, interval: Interval)(fun: (T) ⇒ U)(implicit config: (CleanMongoCollectionSupport.this)#PatienceConfig, pos: Position): U
    Definition Classes
      Futures

### Inherited from BeforeAndAfterEach

### Inherited from SuiteMixin

### Inherited from MongoCollectionSupport

### Inherited from MongoSupport

### Inherited from ScalaFutures

### Inherited from Futures

### Inherited from PatienceConfiguration

### Inherited from AbstractPatienceConfiguration

### Inherited from ScaledTimeSpans

### Inherited from AnyRef

### Inherited from Any

### Ungrouped